#define numToFix(a) (a << 16)
#define floatToFix(a) (signed long int)(a * 65536)
#define fixedPointMul(a, b) ((a >> 8) * (b >> 8));

#define TWOPI 6.28318530718f

typedef struct {
	signed long int x;
	signed long int y;
} vec2_t;

vec2_t addVec2(vec2_t a, vec2_t b);
vec2_t subVec2(vec2_t a, vec2_t b);
signed long int cos(signed long int a);
signed long int sin(signed long int a);
signed long int fixMul(signed long int a, signed long int b);
vec2_t rotateVec2(vec2_t a, signed long int sine, signed long int cosine);
